Bug 739327 - device-mapper-multipath doesn't need to be in Base
Summary: device-mapper-multipath doesn't need to be in Base
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 18:04 UTC by Adam Williamson
Modified: 2014-03-17 03:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 20:49:55 UTC


Attachments (Terms of Use)

Description Adam Williamson 2011-09-17 18:04:43 UTC
Currently, comps has device-mapper-multipath as 'default' in Base. However, this package is only of any use on systems with multipath storage devices (a very small minority), and anaconda already has logic to install it when necessary:

pyanaconda/storage/devices.py

...
class MultipathDevice(DMDevice):
    """ A multipath device """
    _type = "dm-multipath"
    _packages = ["device-mapper-multipath"]
    _services = ["multipathd"]
    _partitionable = True
    _isDisk = True
...

AIUI, the _packages line adds the package to the install set, and the _services line enables the service.

Given this, is there any reason the package also needs to be in base? This is a problem because the maintainer wants to enable it on upgrades when converting from sysv to systemd, so actual multipath systems will continue to work, but because the package has been in Base for a while, most people even without multipath devices will have the package installed, and hence will get a useless service starting up when they upgrade to F16.

Comment 1 Adam Williamson 2011-09-17 18:05:22 UTC
CC a couple of anaconda folks to make sure the code in question is known to *actually work* (esp with systemd).

Comment 2 Chris Lumens 2011-09-18 02:23:24 UTC
As long as chkconfig still works, this should be fine.  However as far as known to work, I don't know that anyone has sat down and verified.

Comment 3 Bill Nottingham 2011-09-19 20:49:55 UTC
Dropped. Long-term, this should go in a more general storage group, but, eh... string change.


Note You need to log in before you can comment on or make changes to this bug.